# kicad-qrgen

.. is a tool that looks for selected text elements with a
specific format, and outputs a qr code with the specified contents

## usage

add a text element on the layer you want, set the contents,
select that text (or multiple) and click the button

## format

```
qrgen! <params>
<text>
```

where `<params>` is a space separated list of options and `<text>` is the text inserted into the code

possible params:

|             param | what it does                             |
|------------------:|:-----------------------------------------|
|    dot_size=<int> | size of a single pixel, default 0.5mm    |
| border_size=<int> | num of pixels around the code, default 2 |
|            invert | inverts the colors                       |

## todo
- [ ] implement different shapes (rectangles)
- [ ] group the qr code automatically

contributions very welcome, email me at `code at this site's base domain` or hit me up on fedi
